
@inproceedings{Loh2009,
 author = {Lempsink, Eelco and Leather, Sean and L\"{o}h, Andres},
 title = {Type-safe Diff for Families of Datatypes},
 booktitle = {Proceedings of the 2009 ACM SIGPLAN Workshop on Generic Programming},
 series = {WGP '09},
 year = {2009},
 pages = {61--72},
 publisher = {ACM},
 address = {New York, NY, USA}
} 

@inproceedings{Altenkirch2006,
    author = {Thorsten Altenkirch and Conor Mcbride and Peter Morris},
    title = {Generic programming with dependent types},
    booktitle = {Spring School on Datatype Generic Programming},
    year = {2006},
    publisher = {Springer-Verlag}
}

@article{Rendel2010,
 author = {Rendel, Tillmann and Ostermann, Klaus},
 title = {Invertible Syntax Descriptions: Unifying Parsing and Pretty Printing},
 journal = {SIGPLAN Not.},
 volume = {45},
 number = {11},
 year = {2010},
 pages = {1--12},
 publisher = {ACM},
 address = {New York, NY, USA}
} 

@misc{Shaw2014,
  title={boomerang},
  howpublished="\url{http://hackage.haskell.org/package/boomerang}",
  author={Shaw, Jeremy},
  note={Acessed: November 2015}
}

@inproceedings{Loh2015,
 author = {Mestanogullari, Alp and Hahn, S\"{o}nke and Arni, Julian K. and L\"{o}h, Andres},
 title = {Type-level Web APIs with Servant: An Exercise in Domain-specific Generic Programming},
 booktitle = {Proceedings of the 11th ACM SIGPLAN Workshop on Generic Programming},
 series = {WGP 2015},
 year = {2015},
 pages = {1--12},
 publisher = {ACM},
 address = {New York, NY, USA}
} 

@article{Bille2005,
    author = {Philip Bille},
    title = {A survey on tree edit distance and related problems},
    journal = {Theor. Comput. Sci},
    year = {2005},
    volume = {337},
    pages = {217--239}
}

@article{Hirschberg1977,
 author = {Hirschberg, Daniel S.},
 title = {Algorithms for the Longest Common Subsequence Problem},
 journal = {J. ACM},
 volume = {24},
 number = {4},
 month = oct,
 year = {1977},
 pages = {664--675},
 publisher = {ACM},
 address = {New York, NY, USA}
} 

@mastersthesis{Tieleman2006,
    author = {Tieleman, Sjoerd},
    month = aug,
    school = {Universiteit Utrecht},
    title = {{Formalisation of version control with an emphasis on tree-structured data}},
    year = {2006}
}
